package com.fs.fastGpt.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.fastGpt.domain.FastgptExtUserTag;
import com.fs.fastGpt.vo.FastgptExtUserTagVO;
import org.apache.ibatis.annotations.Param;

/**
 * 处理新客标签Mapper接口
 * 
 * @author fs
 * @date 2025-09-10
 */
public interface FastgptExtUserTagMapper extends BaseMapper<FastgptExtUserTag>{
    /**
     * 查询处理新客标签
     * 
     * @param id 处理新客标签主键
     * @return 处理新客标签
     */
    FastgptExtUserTag selectFastgptExtUserTagById(Long id);

    /**
     * 查询处理新客标签列表
     * 
     * @param fastgptExtUserTag 处理新客标签
     * @return 处理新客标签集合
     */
    List<FastgptExtUserTag> selectFastgptExtUserTagList(FastgptExtUserTag fastgptExtUserTag);

    /**
     * 新增处理新客标签
     * 
     * @param fastgptExtUserTag 处理新客标签
     * @return 结果
     */
    int insertFastgptExtUserTag(FastgptExtUserTag fastgptExtUserTag);

    /**
     * 修改处理新客标签
     * 
     * @param fastgptExtUserTag 处理新客标签
     * @return 结果
     */
    int updateFastgptExtUserTag(FastgptExtUserTag fastgptExtUserTag);

    /**
     * 删除处理新客标签
     * 
     * @param id 处理新客标签主键
     * @return 结果
     */
    int deleteFastgptExtUserTagById(Long id);

    /**
     * 批量删除处理新客标签
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFastgptExtUserTagByIds(Long[] ids);

    int addFastGptTagByCorpId(@Param("data") FastgptExtUserTagVO fastgptExtUserTag);

    List<FastgptExtUserTag> selectFastgptExtUserTagByIds(@Param("ids") Long[] ids);
}
